Subject: bug#13810: 24.3.50; Docstring of `newline' is confusing

From: Stephen Berman <[email-masked]>
Date: Mon, 25 Feb 2013 17:43:55 +0100

On Mon, 25 Feb 2013 10:30:50 -0500 Stefan Monnier <[email-masked]> wrote:

>> The doc string of newline says "Call `auto-fill-function'..."; you can
>> only call a function, not a variable (I suppose you can call a variable
>> something, but not just call it).
>
> Yet, I think that newline doesn't call the `auto-fill-function'
> function, but the function contained in the
> `auto-fill-function' variable.

Still, it doesn't "call the variable" ;-).  Anyway, isn't the potential
for confusion here rather limited, since the function auto-fill-function
is a noop just there for its doc string?

Steve Berman